{% load app_filters %}
<html xmlns="http://www.w3.org/1999/html">
<head>
    <link href="{{ settings.BASE_DIR }}/static/report/style.css" rel="stylesheet">
</head>

<body>
    <div id="header_content">
        <table class="header-table">
            <tbody>
                <tr>
                    <td align="left">
                        <img src="{{ order.hospital.logo.file|appStorage }}" width="142">
                    </td>
                    <td> 
                        <div class="address">
                            <p>{{ order.hospital.name }}</p>
                            <p>{{ order.hospital.address}}</p>
                        </div>


                        <h1 align="center">Radiology Report</h1>
                         
                    </td>
                    <td align="right">
                        <img src="{{ order.provider.logo.file|appStorage }}" height="142" width="142">
                    </td>
            </tr>
        </tbody></table>
    </div>

    <!-- Content for Static Frame 'header_frame' -->
    <div id="main_content">
        <hr>
        <br>
        <table class="patient-table">
            <tbody>
                <tr>
                    <td>
                       <p>Patient name : {{ order.patient.name }} </p>
                        <p>Facility Name: {{ order.hospital.name }} </p>
                        <p>Study Type:  {{ order.modality }}</p>
                        <p>Time Pickup: {{ order.created_at|date:"d-M-Y H:i" }} </p>
                    </td>
                    <td>
                        <p>Patient ID: {{ order.patient.patient_id }}</p>
                        <p>Accession Number:  {{ order.accession_id }}</p>
                        <p>Gender: {{ order.patient.gender }}</p>
                        <p>Time Sent: {% now "d-M-Y H:i" %}</p>

                        
                    </td>
                </tr>
            </tbody>
        </table>
        <hr>
        <div>
            {{ order.report|safe }}
        </div>
        <table>
            {% if order.provider %}
                <tr>
                    <td align="center">
                        <img  src="{{ order.doctor_signatures.all.0.signature|appStorage }}" width="150">
                        
                    </td>
                    <td align="center">
                        <img   src="{{ order.doctor_signatures.all.1.signature|appStorage }}" width="150">
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <img  src="{{ order.doctor_signatures.all.2.signature|appStorage }}" width="150">
                        
                    </td>
                    <td align="center">
                        <img   src="{{ order.doctor_signatures.all.3.signature|appStorage }}" width="150">
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td align="right">
                        <img  src="{{ order.radiologist.signature.file|appStorage }}" width="150">
                        
                    </td>
                </tr>
            {% endif %}
        </table>
    </div>
    
 
    
    <div id="footer_content">
        <hr>
        <table class="footer-table">
            <tbody>
                <tr>
                    <td>
                        <div class="footer">
                        </div>
                    </td>
                    <td>
                        Page <pdf:pagenumber> of <pdf:pagecount>
                    </pdf:pagecount></pdf:pagenumber></td>
                    <td>
                        <img src="{{ settings.BASE_DIR }}/static/report/alemhealth.png">
                    </td>
                </tr>
            </tbody>
        </table>

    </div>

</body>
</html>
